Eclipse Platform Release 3.7

## org.eclipse.update.operations
Interface IBatchOperation

All Superinterfaces:
  IOperation

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IBatchOperation

extends IOperation

A batch operation is needed to execute a group of feature operations, such as installing a set of features. In fact, for installing features, it is recommended to wrap individual feature install operations as a batch operation, to ensure proper validation and configuration saving.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`IFeatureOperation[]` `getOperations()` Deprecated. Returns the batched operations.

Methods inherited from interface org.eclipse.update.operations.IOperation
`execute, isProcessed, markProcessed`

Method Detail

### getOperations

    IFeatureOperation[] getOperations()

  Deprecated.
  Returns the batched operations.

  Returns:
    the batched operations

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.